# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TSparkDirectResults

Packages that use TSparkDirectResults
Package
Description
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TSparkDirectResults in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type TSparkDirectResults
Modifier and Type
Method
Description
`static void`
DatabricksThriftUtil.`checkDirectResultsForErrorStatus(TSparkDirectResults directResults, String context, String statementId)`

## Uses of TSparkDirectResults in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TSparkDirectResults
Modifier and Type
Class
Description
`class`
`TSparkDirectResults`
`class`
`TSparkDirectResults`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TSparkDirectResults
Modifier and Type
Field
Description
`TSparkDirectResults`
TExecuteStatementResp.`directResults`
`TSparkDirectResults`
TGetCatalogsResp.`directResults`
`TSparkDirectResults`
TGetColumnsResp.`directResults`
`TSparkDirectResults`
TGetCrossReferenceResp.`directResults`
`TSparkDirectResults`
TGetFunctionsResp.`directResults`
`TSparkDirectResults`
TGetPrimaryKeysResp.`directResults`
`TSparkDirectResults`
TGetSchemasResp.`directResults`
`TSparkDirectResults`
TGetTablesResp.`directResults`
`TSparkDirectResults`
TGetTableTypesResp.`directResults`
`TSparkDirectResults`
TGetTypeInfoResp.`directResults`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TSparkDirectResults
Modifier and Type
Method
Description
`TSparkDirectResults`
TSparkDirectResults.`deepCopy()`
`TSparkDirectResults`
TExecuteStatementResp.`getDirectResults()`
`TSparkDirectResults`
TGetCatalogsResp.`getDirectResults()`
`TSparkDirectResults`
TGetColumnsResp.`getDirectResults()`
`TSparkDirectResults`
TGetCrossReferenceResp.`getDirectResults()`
`TSparkDirectResults`
TGetFunctionsResp.`getDirectResults()`
`TSparkDirectResults`
TGetPrimaryKeysResp.`getDirectResults()`
`TSparkDirectResults`
TGetSchemasResp.`getDirectResults()`
`TSparkDirectResults`
TGetTablesResp.`getDirectResults()`
`TSparkDirectResults`
TGetTableTypesResp.`getDirectResults()`
`TSparkDirectResults`
TGetTypeInfoResp.`getDirectResults()`
`TSparkDirectResults`
TSparkDirectResults.`setCloseOperation(TCloseOperationResp closeOperation)`
`TSparkDirectResults`
TSparkDirectResults.`setOperationStatus(TGetOperationStatusResp operationStatus)`
`TSparkDirectResults`
TSparkDirectResults.`setResultSet(TFetchResultsResp resultSet)`
`TSparkDirectResults`
TSparkDirectResults.`setResultSetMetadata(TGetResultSetMetadataResp resultSetMetadata)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkDirectResults
Modifier and Type
Method
Description
`int`
TSparkDirectResults.`compareTo(TSparkDirectResults other)`
`boolean`
TSparkDirectResults.`equals(TSparkDirectResults that)`
`TExecuteStatementResp`
TExecuteStatementResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetCatalogsResp`
TGetCatalogsResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetColumnsResp`
TGetColumnsResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetCrossReferenceResp`
TGetCrossReferenceResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetFunctionsResp`
TGetFunctionsResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetPrimaryKeysResp`
TGetPrimaryKeysResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetSchemasResp`
TGetSchemasResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetTablesResp`
TGetTablesResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetTableTypesResp`
TGetTableTypesResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetTypeInfoResp`
TGetTypeInfoResp.`setDirectResults(TSparkDirectResults directResults)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkDirectResults
Modifier
Constructor
Description
``
`TSparkDirectResults(TSparkDirectResults other)`
Performs a deep copy on other.